<?php
    header('Content-Type: application/json');
    header("Cache-Control: no-cache");
    header("Pragma: no-cache");
    
    include('conexao.php');

    $id_programacao = $_REQUEST["id_programacao"];

    $resultado = array(
        "status" => false,
        "video" => null
    );
    
    // Recupera quantidade
    $sqlc = "SELECT COUNT(*) as qtd FROM pasta_de_videos WHERE rodou = 0 AND id_tabela_digital_programacao = " . $id_programacao;
    $qtd_videos_query = mysqli_query($con, $sqlc);
    $qtd_videos_array = mysqli_fetch_array($qtd_videos_query);
    $qtd_videos = $qtd_videos_array["qtd"];
    function video_aleatorio() {

        global $id_programacao;
        global $con;

        $sql_video = "SELECT * FROM pasta_de_videos WHERE rodou = 0 AND id_tabela_digital_programacao = ".$id_programacao." ORDER BY RAND() LIMIT 1";
        $sql_video_query = mysqli_query($con, $sql_video);
        $video_aleatorio = mysqli_fetch_assoc($sql_video_query);

        return $video_aleatorio;
    }

    function marcar_que_rodou($id){ 

        global $con;

        $sql_marcar = "UPDATE pasta_de_videos SET rodou = 1 WHERE id = " . $id;
        mysqli_query($con, $sql_marcar);

    }
    
    if($qtd_videos > 0) {

        $video = video_aleatorio();

        $resultado["status"] = true;
        $resultado["video"] = $video;

        marcar_que_rodou($video["id"]);
    }
    else {
        $sql_zerar = "UPDATE pasta_de_videos SET rodou = 0 WHERE id_tabela_digital_programacao = " . $id_programacao;
        $sql_zerar_query = mysqli_query($con, $sql_zerar);

        $video = video_aleatorio();

        if($video) {
            $resultado["status"] = true;
            $resultado["video"] = $video;

            marcar_que_rodou($video["id"]);
        }
        else {
            $resultado["mensagem"] = "Esta programação não possui vídeos."; 
        }
    }

    echo json_encode($resultado);
?>